Subject: Re: bug#28286: sh-script package has incorrect syntax highlighting when shell type is set to rpm

From: Andrew Toskin <[email-masked]>
Date: Wed, 30 Aug 2017 23:51:13 -0700

On Wed, 2017-08-30 at 16:30 -0400, Glenn Morris wrote:

> sh-script.el's support for RPM spec files is _extremely_ basic.
> There is a dedicated rpm-spec-mode.el distributed separately that you
> might prefer.

Sure, but if sh-script mode is going to support the syntax at all, it
should at least be correct, right? When the spec file's %description
section has an odd number of apostrophes, the "string" highlight gobbles up
the rest of the file unless or until it meets another apostrophe somewhere.